# set and uncomment all three to set alpha tag
#global alphatag RC1
#global dotalphatag .%{alphatag}
#global dashalphatag -%{alphatag}

Name:       foreman-installer
Epoch:      1
Version:    1.11.0.10
Release:    1%{?dist}
Summary:    Puppet-based installer for The Foreman
Group:      Applications/System
License:    GPLv3+ and ASL 2.0
URL:        http://theforeman.org
Source0:    http://satellite6.lab.eng.rdu2.redhat.com/pub/sources/6.2/%{name}-%{version}.tar.bz2

BuildArch:  noarch

Requires:   curl
Requires:   %{?scl_prefix}puppet >= 3.0.0
Requires:   %{?scl_prefix}rubygem-kafo >= 0.7.1
Requires:   %{?scl_prefix}rubygem-apipie-bindings >= 0.0.6
Requires:   foreman-selinux

%if "%{?scl_ruby}" == "ruby193" || (0%{?el6} && 0%{!?scl:1})
Requires:   %{?scl_prefix_ruby}ruby(abi)
%else
Requires:   %{?scl_prefix_ruby}ruby(release)
%endif
Requires:   %{?scl_prefix}rubygem-highline

BuildRequires: asciidoc
BuildRequires: rubygem(rake)
BuildRequires: %{?scl_prefix}puppet >= 3.0.0
BuildRequires: %{?scl_prefix}rubygem-kafo >= 0.7.1

%description
Complete installer for The Foreman life-cycle management system based on Puppet.

%prep
%setup -q -n %{name}-%{version}%{?dashalphatag}

%build
#replace shebangs for SCL
%if %{?scl:1}%{!?scl:0}
  sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X/usr/bin/%{?scl:%{scl_prefix}}rubyX' bin/foreman-installer
%endif
rake build \
  VERSION=%{version} \
  PREFIX=%{_prefix} \
  SBINDIR=%{_sbindir} \
  SYSCONFDIR=%{_sysconfdir} \
  --trace

%install
rake install \
  PREFIX=%{buildroot}%{_prefix} \
  SBINDIR=%{buildroot}%{_sbindir} \
  SYSCONFDIR=%{buildroot}%{_sysconfdir} \
  --trace

# remove the Foreman scenario
rm -rf %{buildroot}/%{_sysconfdir}/%{name}/scenarios.d/foreman.yaml
rm -rf %{buildroot}/%{_sysconfdir}/%{name}/scenarios.d/foreman-answers.yaml

# %post
# foreman-installer --scenario foreman --migrations-only > /dev/null

%files
%defattr(-,root,root,-)
%doc README.* LICENSE
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/scenarios.d
#%config %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman.yaml
#%config(noreplace) %attr(600, root, root) %{_sysconfdir}/%{name}/scenarios.d/foreman-answers.yaml
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8

%changelog
* Tue Aug 02 2016 zjhuntin <zhunting@redhat.com> 1.11.0.10-1
- BZ #1347228 - Installer fails to create puppet key

* Fri Jul 01 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.9-1
- BZ #1322360 - Support new REX on RHEL

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.8-1
- BZ #1282514 - webrick needs option to change SSL ciphers via configuration vs hard coded value

* Wed May 18 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.7-1
- 

* Wed May 11 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.6-1
- 

* Wed May 11 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.5-1
- BZ #1219596 - katello-installer --help references a flag using "RedHat" in the context

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.4-1
- BZ #1075496 - PostgreSQL DB logging config is missing timestamps making debugging har

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.3-1
- BZ #1324766 -  Installer create upstream openscap repo file by defaul

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.2-1
- BZ #1324766 - Installer create upstream openscap repo file by defaul

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.1-1
- BZ #1313805 -  Uploading results while running 'foreman_scap_client policy_id' fails on the clien

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.0-1
- new package built with tito

* Wed Oct 07 2015 Dominic Cleal <dcleal@redhat.com> - 1.11.0-0.develop
- Bump version to 1.11-develop

* Fri Jun 26 2015 Dominic Cleal <dcleal@redhat.com> - 1.10.0-0.develop
- Bump version to 1.10-develop

* Tue Mar 03 2015 Dominic Cleal <dcleal@redhat.com> - 1.9.0-0.develop
- Bump version to 1.9-develop

* Tue Oct 28 2014 Dominic Cleal <dcleal@redhat.com> - 1.8.0-0.develop
- Bump version to 1.8-develop

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump to version 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump to version 1.5-develop

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme (#3712)

* Fri Nov 08 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-4
- upgrade to kafo 0.3.0

* Thu Sep 12 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-3
- set config flag on configuration files

* Thu Sep 12 2013 Marek Hulan <mhulan[@]redhat.com> - 1.3.9999-2
- config files packaging fix

* Wed Sep 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- bump to version 1.3-develop

* Mon Jul 22 2013 Marek Hulan <mhulan[@]redhat.com> - 1.2.9999-3
- new files structure for a installer based on kafo

* Mon Jul 22 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-2
- adding foreman_api as a dependency

* Thu May 23 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-1
- initial version
